Skip to main content
POST
/
api
/
telephony
/
configure
Configure phone service
curl --request POST \
  --url https://api.g-tateth.com/api/telephony/configure \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phoneNumber": "<string>",
  "recordingEnabled": true,
  "transcriptionEnabled": true,
  "defaultCountryCode": "<string>",
  "webhookUrl": "<string>"
}
'
{
  "success": true,
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.g-tateth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token authentication (for user sessions)

Body

application/json
phoneNumber
string

Your dedicated phone number

recordingEnabled
boolean

Enable automatic call recording

transcriptionEnabled
boolean

Enable call transcription

defaultCountryCode
string

Default country code for calls

webhookUrl
string

URL for receiving call events

Response

200 - application/json

Phone service configured successfully

success
boolean
data
object